# API get detail refund request

* **Purpose**: This is the API used to get detail of refund request by The ID of seller/business is provided by merchant.
* **API**:
  * Path: ***v2/col/refund-requests/:requestId***
  * Method: ***GET***
  * Request: Content-Type: ***application/json***

### **Request Parameter**

<table><thead><tr><th width="239">Parameter</th><th width="124">Data Type</th><th width="101">Required</th><th>Description</th></tr></thead><tbody><tr><td>requestId</td><td>String</td><td>Y</td><td>The requestId when merchant create refund request.</td></tr></tbody></table>

### **Response Data**

| Parameter     | Data Type | Description                                                                 |
| ------------- | --------- | --------------------------------------------------------------------------- |
| code          | Number    | Error code, refer to [Error codes](#../error-codes.md).                     |
| message       | String    | Error description.                                                          |
| data          | Object    | Refer to [GetDetailRefundRequestResponse](#getdetailrefundrequestresponse). |
| neoResponseId | String    | The ID of NeoX response.                                                    |

#### GetDetailRefundRequestResponse

<table><thead><tr><th width="187.33333333333331">Parameter</th><th width="127">Data Type</th><th>Description</th></tr></thead><tbody><tr><td>merchantCode</td><td>String</td><td>Merchant Code</td></tr><tr><td>requestId</td><td>String</td><td>The requestId when creating refund request.</td></tr><tr><td>collectionTransId</td><td>String</td><td>ID of collection transaction being refunded.</td></tr><tr><td>refundTransId</td><td>String</td><td><p>ID of refund transaction from NeoX.</p><p>(Will be returned when refund request was approved)</p></td></tr><tr><td>amount</td><td>Number</td><td>Refund amount.</td></tr><tr><td>bankSwiftCode</td><td>String</td><td>Refund request to bank swiftcode</td></tr><tr><td>bankAccountNumber</td><td>String</td><td>Refund request to bank account number</td></tr><tr><td>bankAccountName</td><td>String</td><td>Refund request to bank account name</td></tr><tr><td>bankBranch</td><td>String</td><td>Refund request to bank branch</td></tr><tr><td>status</td><td>String</td><td>Refund request status, include:<br>PENDING: Refund request has been created and waiting for approval.<br>APPROVED: Refund request has been approved.<br>REJECTED: Refund request has been rejected, view note for reject reasons.</td></tr><tr><td>approvalDate</td><td>Datetime String (ISO 8601)</td><td><p>Date of approval from NeoX.</p><p>(Will be returned when refund request was approved)</p></td></tr><tr><td>note</td><td>String</td><td>Note for current refund request.</td></tr><tr><td>createdAt</td><td>Datetime String (ISO 8601)</td><td>Record created time</td></tr><tr><td>updatedAt</td><td>Datetime String (ISO 8601)</td><td>Record last updated time</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.neox.vn/docs/global/collections/integration/refund-requests/get-detail-refund-request.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
